Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154035 - add --disable-schemas-install to %configure
Summary: add --disable-schemas-install to %configure
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yelp
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-06 18:07 UTC by Yanko Kaneti
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-03 23:04:42 UTC


Attachments (Terms of Use)
patch (deleted)
2005-04-06 18:07 UTC, Yanko Kaneti
no flags Details

Description Yanko Kaneti 2005-04-06 18:07:01 UTC
Currently the rpm-build %install tries to install the schemas

Comment 1 Yanko Kaneti 2005-04-06 18:07:01 UTC
Created attachment 112771 [details]
patch

Comment 2 Yanko Kaneti 2005-04-19 15:33:12 UTC
I wonder. 
How come a new yelp update is in rawhide and a pretty trivial issue like this
here is not taken care of.

Comment 3 Ray Strode [halfline] 2005-04-19 19:24:06 UTC
Hi Yanko,

Is there a reason they shouldn't be installed?

Comment 4 Yanko Kaneti 2005-04-19 20:22:39 UTC
Hello

There is no reason for them to be installed in the %install part of the rpmbuild.
The result of running the install on the _build system_ is (depending on whether
the build is run as root or not) either installing the schemas on the _build
system_ (which we clearly don't want) or a bunch of useless warnings about not
being able to write to the _build system_s default gconf config source.

The schemas are installed on the target system in the rpm install %post section.


Comment 5 Ray Strode [halfline] 2005-05-03 23:04:42 UTC
Should be fixed in yelp-2.9.3-6


Note You need to log in before you can comment on or make changes to this bug.